- Third-party
Alibaba's Wan 3.0 text-to-video model. Generates cinematic videos from text prompts with adaptive aspect ratio, 480P, 720P, or 1080P resolution, and configurable duration.
| Model Info | |
|---|---|
| Terms and License | link ↗ |
| More information | link ↗ |
| Pricing | View pricing in the Cloudflare dashboard ↗ |
const response = await env.AI.run(
'alibaba/wan-3.0',
{
prompt:
'A kitten running across a rooftop under the moonlight, city neon lights flickering in the distance, cinematic quality, smooth camera movement.',
resolution: '480P',
ratio: 'adaptive',
duration: 5,
},
)
console.log(response)curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
--header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"model": "alibaba/wan-3.0",
"input": {
"prompt": "A kitten running across a rooftop under the moonlight, city neon lights flickering in the distance, cinematic quality, smooth camera movement.",
"resolution": "480P",
"ratio": "adaptive",
"duration": 5
}
}'{
"state": "Completed",
"result": {
"video": "https://examples.aig.cloudflare.com/alibaba/wan-3.0/adaptive-480p-text-to-video.mp4"
},
"gatewayMetadata": {
"keySource": "Unified"
}
}prompt
stringrequiredminLength: 1maxLength: 2500resolution
stringenum: 480P, 720P, 1080Pratio
stringenum: adaptive, 16:9, 9:16, 1:1, 4:3, 3:4duration
integerminimum: 1maximum: 15video
stringformat: uri